Package org.gradle.nativeplatform.test.cpp.plugins

# Class CppUnitTestPlugin

java.lang.Object
org.gradle.nativeplatform.test.cpp.plugins.CppUnitTestPlugin

All Implemented Interfaces:
  `Plugin<org.gradle.api.internal.project.ProjectInternal>`

@Incubating public class CppUnitTestPlugin extends Object implements Plugin<org.gradle.api.internal.project.ProjectInternal>
A plugin that sets up the infrastructure for testing C++ binaries using a simple test executable. Gradle will create a `RunTestExecutable` task that relies on the exit code of the binary.

Since:
  4.4

## Constructor Summary

Constructors
Constructor
Description
`CppUnitTestPlugin(org.gradle.api.internal.file.FileOperations fileOperations, ObjectFactory objectFactory)`

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(org.gradle.api.internal.project.ProjectInternal project)`
Apply this plugin to the given target object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CppUnitTestPlugin

@Inject public CppUnitTestPlugin(org.gradle.api.internal.file.FileOperations fileOperations, ObjectFactory objectFactory)

## Method Details

### apply

public void apply(org.gradle.api.internal.project.ProjectInternal project)
Description copied from interface: `Plugin`
Apply this plugin to the given target object.

Specified by:
  `apply` in interface `Plugin<org.gradle.api.internal.project.ProjectInternal>`
Parameters:
  `project` - The target object